# psputilsforkernel.h File Reference

Go to the source code of this file.

## Functions

int | sceKernelGzipDecompress (u8 *dest, u32 destSize, const u8 *src, u32 unknown)
| Decompress gzip'd data (requires kernel mode).

## Function Documentation

int sceKernelGzipDecompress | ( | u8 * | dest,
|  | u32 | destSize,
|  | const u8 * | src,
|  | u32 | unknown
| ) |

Decompress gzip'd data (requires kernel mode).

Parameters:

  | dest | - pointer to destination buffer
  | destSize | - size of destination buffer
  | src | - pointer to source (compressed) data
  | unknown | - unknown, pass NULL

Returns:
  size decompressed on success, < 0 on error